Bug 243654 - Pop-up window appears when "Cancel" clicked in "Send/Receive" interface
Pop-up window appears when "Cancel" clicked in "Send/Receive" interface
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2007-06-11 05:30 EDT by Jonathan Dieter
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-16 11:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 307410 None None None Never

  None (edit)
Description Jonathan Dieter 2007-06-11 05:30:09 EDT
Description of problem:
When I click "Send / Receive", a window pops up with my different mail accounts
and the progress each account has had at sending or receiving mail.  When I
click on "cancel" to stop an account from sending or receiving mail, I get a
pop-up window that says, "Error connecting to [account name].  Please type the
password", along with "Ok" and "Cancel".  No matter what I press, the pop-up
comes back and I have to manually kill Evolution to get rid of it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Click "Send / Receive"
2. Wait until connection is made to account
3. Click "Cancel"
Actual results:
Pop-up appears that can't be removed

Expected results:
Evolution stops trying to download messages from canceled account with no pop-ups.

Additional info:
Comment 1 Matthew Barnes 2007-06-13 10:41:14 EDT
Thanks for the bug report.

Can you please try upgrading to evolution-2.10.2-1.fc7 and see if the problem
persists?  The upgrade is still in Fedora Updates Testing at the moment but
should get pushed to Fedora Updates some time today or tomorrow.
Comment 2 Jonathan Dieter 2007-06-16 12:51:53 EDT
Just tried 2.10.2-1.fc7 and it still has the same problem.  You have to hit
"Cancel" while it's still saying "Waiting..." (but not when it first says
"Waiting", obviously it's doing more than one thing here), and before it says
"Retrieving POP summary".
Comment 3 Milan Crha 2007-06-20 14:17:20 EDT
I added reference to upstream bug [1], we will track it there, if it's fine for
you, Jonathan.

Comment 4 Matthew Barnes 2007-07-16 11:38:59 EDT
It looks like the upstream bug has been resolved but the solution involves an
ABI break in evolution-data-server, so we can't backport it to Fedora 7.

The current Rawhide packages should fix this bug.  Closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.